# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`dropsonde`](#dropsonde): Manages the Dropsonde Puppet telementry client and cron job.

### Functions

* [`dropsonde::to_symbolized_yaml`](#dropsondeto_symbolized_yaml): }

## Classes

### <a name="dropsonde"></a>`dropsonde`

In general, you'll just want to include the class, but there are a few
settings you might care about. If you want to remove any of the computed
metrics from the report, list them as an array in `$disable` and if you
want to change the generated site ID, enter a random string as the `$seed`.

* **See also**
  * https://github.com/puppetlabs/dropsonde

#### Examples

##### 

```puppet
include dropsonde
```

#### Parameters

The following parameters are available in the `dropsonde` class:

* [`enabled`](#enabled)
* [`enable`](#enable)
* [`disable`](#disable)
* [`cachepath`](#cachepath)
* [`ttl`](#ttl)
* [`update`](#update)
* [`seed`](#seed)

##### <a name="enabled"></a>`enabled`

Data type: `Boolean`

Set the cron job for dropsonde weekly report submit

Default value: ``true``

##### <a name="enable"></a>`enable`

Data type: `Optional[Array]`

Only load these metrics. For example:
```puppet
  class { 'dropsonde':
    enable => ['dependencies', 'modules'],
  }
```

Default value: ``undef``

##### <a name="disable"></a>`disable`

Data type: `Optional[Array]`

List of metrics to omit. For example:
```puppet
  class { 'dropsonde':
    disable => ['puppetfiles', 'environments'],
  }
```

Default value: ``undef``

##### <a name="cachepath"></a>`cachepath`

Data type: `Optional[String]`

Path to cache directory

Default value: ``undef``

##### <a name="ttl"></a>`ttl`

Data type: `Optional[Integer]`

Forge module cache ttl in days

Default value: ``undef``

##### <a name="update"></a>`update`

Data type: `Optional[Boolean]`

Auto update the Forge module name cache if expired

Default value: ``undef``

##### <a name="seed"></a>`seed`

Data type: `Optional[String]`

Any number or string used to generate the randomized site ID

Default value: ``undef``

## Functions

### <a name="dropsondeto_symbolized_yaml"></a>`dropsonde::to_symbolized_yaml`

Type: Ruby 4.x API

}

#### `dropsonde::to_symbolized_yaml(Any $data, Optional[Hash] $options)`

}

Returns: `String`

##### `data`

Data type: `Any`



##### `options`

Data type: `Optional[Hash]`



